# Consumer_Transactions_List

A sponsor/partner merchant user may wish to obtain a list of consumer charge or refund transactions
associated with their account. This endpoint will provide a list of all consumer charge or refund
objects for the merchant user, either successful or failed. A Consumer Charge is the transaction
that occurs once a payment request is approved by the consumer. If a consumer does not approve a
Payment Request, it does not become a Consumer Charge. Payment Request(s) will not be returned
with this endpoint. To see all transaction, including payment requests, use the
"Consumer - All Transaction Activity" endpoint.
**Requirements**:
- Authentication information, username, and password are required for this endpoint.
- Sponsor ID will be determined by the authentication information used.
- request_user_id: There must be a user ID in the Momnt system for this GET request to succeed.
- That user must be active and should have been established in previous interactions, such as
pre-onboarding or create_user.

Endpoint: GET /api/v1/sponsor/merchants/transactions/{request_user_id}/
Version: 1.0.0 (sponsor_consumer_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `request_user_id` (string, required)

## Query parameters:

  - `begin_date` (string)
    Limits the returned transactions to transaction which have a request_datetimeon or after the provided date. format: 'YYYY-MM-DD'

  - `end_date` (string)
    Limits the returned transactions to transaction which have a request_datetimeon or before the provided date. format: 'YYYY-MM-DD'

## Response 200 fields (application/json):

  - `consumer_application_human_readable_id` (string, required)
    10-digit application / loan number for the consumer account

  - `associated_payment_request_id` (string, required)
    UUID for the associated payment request generated at Momnt and returned in the response to the Payment Request POST.

  - `consumer_first_name` (string, required)

  - `consumer_last_name` (string, required)

  - `transaction_description` (integer, required)
    The ID of the transaction type being sent:
- **109** - Consumer Deposit/Initial Charge
- **111** - Consumer Project Charge
- **113** - Consumer Final Charge
- **115** - Consumer Refund Credit

  - `consumer_charge_amount` (string, required)
    Total amount that was charged to the consumer's account

  - `merchant_transactions` (array, required)

  - `merchant_transactions.transaction_type` (string, required)
    Type of transaction. Examples:
- Merchant Fee Credit
- Momnt Merchant Fee Debit
- Sponsor Fee Debit
- Consumer Refund Debit
- Artis Merchant Fee Debit

  - `merchant_transactions.transaction_amount` (string, required)
    Amount of the transaction

  - `merchant_transactions.created` (string, required)
    Time date stamp of the transaction

  - `status` (string, required)
    Status of the transaction. A successful status means the transaction has successfully reached
our payment processor.
Possible status:
- Successful
- Failed
- Pending
- Submitted
- Reversed
- Transferred
- Excluded

  - `request_datetime` (string, required)
    Time date stamp of payment request

  - `status_datetime` (string, required)
    Time date stamp of most recent status

  - `submitted_by` (string, required)
    Sponsor/Partner UUID for the merchant user who initiated the payment request to the consumer

  - `payment_identifier` (string)

